.app {
  background-color: #EDEDED;
  padding: 15px;
  font-size: 18px;
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
  monospace;
}

.calendar .days {
  text-transform: uppercase;
  font-weight: 400;
  color: #fafafa;
  font-size: 70%;
  padding: .75em 0;
  border-bottom: 1px solid black;
}


/* GRID HELPER CLASSES */
.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  margin: 0;
  padding: 0;
}

.row-centre {
  align-items: center;
}

.col {
  flex-grow: 1;
  flex-basis: 0;
  max-width: 100%;
}

.col-start {
  justify-content: flex-start;
  text-align: left;
}

.col-centre {
  justify-content: center;
  text-align: center;
}

.col-end {
  justify-content: flex-end;
  text-align: right;
}

header {
  display: block;
  width: 100%;
  padding: 1.75em 0;
  border-bottom: 1px solid black;
  background: #fafafa;
}

/* the calender rows and days */
.calendar {
  display: block;
  position: relative;
  width: 100%;
  background: #cacaca;
  border: 1px solid black;
}

.calendar .body .cell {
  position: relative;
  height: 5em;
  border-right: 1px solid black;
  cursor: pointer;
  background: #fcfcfc;
  overflow-x: auto;
}

.calendar .body .row {
  border-bottom: 1px solid black;
}

.calendar .body .row:last-child {
  border-bottom: none;
}

.calendar .body .cell:last-child {
  border-right: none;
}

.calendar .body .cell .number {
  position: absolute;
  font-size: 82.5%;
  line-height: 1;
  top: .75em;
  right: .75em;
  font-weight: 700;
}

.calendar .body .cell .remindercell {
  display: block;
  font-size: 82.5%;
  line-height: 1;
  top: .75em;
  right: .75em;
  font-weight: 700;
}


.calendar .body .disabled {
  background-color: #aaaaaa;
  pointer-events: none;
}

// 7 columns so each column is 100%/7
.calendar .body .col {
  flex-grow: 0;
  flex-basis: calc(100%/7);
  width: calc(100%/7);
}


// styling for modal - this is bad
.modal {
  z-index: 100;
  position: fixed;
  top: 0;
  left: 0;
  width:100%;
  height: 100%;
  background: rgba(0, 0, 0, 1);
}

.modal-main {
  padding: 10px 10px;
  z-index: 100;
  position:fixed;
  background: #eeeeee;
  width: 80%;
  height: auto;
  top:50%;
  left:50%;
  transform: translate(-50%,-50%);
}

.display-block {
  display: block;
}

.display-none {
  display: none;
}

.action {
  cursor: pointer
}
